apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: {{.Values.deployment.name}}-xnat-nginx-config
  name: {{.Values.deployment.name}}-xnat-nginx-config
data:
  nginx.conf: |-
    worker_processes 1;
    events { worker_connections 1024; }
    http {
        sendfile on;

        upstream   xnat-webapp {
            server  {{.Values.deployment.name}}-xnat-webapp:8080;
        }
        server {
            listen 80 default;
            server_name {{.Values.deployment.host}};
            location / {
                proxy_pass http://xnat-webapp;
                proxy_set_header Host $http_host;
                proxy_set_header X-Forwarded-Host $http_host;
                proxy_set_header X-Forwarded-Server $http_host;
                proxy_set_header X-Forwarded-Proto $scheme;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                proxy_connect_timeout 900;
                proxy_send_timeout 900;
                proxy_read_timeout 900;
                proxy_buffers 4 32k;
                client_max_body_size 0;
                client_body_buffer_size 128k;
            }
        }
    }
